Name:           apache-parent
Version:        17
Release:        %mkrel 4
Summary:        Parent POM file for Apache projects
License:        ASL 2.0
URL:            http://apache.org/
Source0:        http://repo1.maven.org/maven2/org/apache/apache/%{version}/apache-%{version}-source-release.zip
BuildArch:      noarch
Group:          Development/Java

BuildRequires:  maven-local
BuildRequires:  jpackage-utils
BuildRequires:  apache-resource-bundles
BuildRequires:  maven-remote-resources-plugin

Requires:       apache-resource-bundles

%description
This package contains the parent pom file for apache projects.

%prep
%setup -n apache-%{version}

%pom_remove_plugin :maven-site-plugin pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 17-4.mga6
+ Revision: 981823
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 17-3.mga6
+ Revision: 975448
- First rebuild of the java stack
- sync package apache-parent with fedora

* Sun Dec 20 2015 zezinho <zezinho> 17-1.mga6
+ Revision: 912487
- new version

* Thu Dec 25 2014 pterjan <pterjan> 14-2.mga5
+ Revision: 805536
- Clean rebuild
- Sync with Fedora 21
- Restore

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 10-18.mga5
+ Revision: 750531
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 10-17.mga5
+ Revision: 677849
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 10-16.mga4
+ Revision: 535770
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 dmorgan <dmorgan> 10-15.mga4
+ Revision: 482542
- Rebuild against new javapackages
- Build with xmvn
- Rebuild to regenerate Maven provides

* Fri Jan 11 2013 umeabot <umeabot> 10-8.mga3
+ Revision: 345879
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 10-7.mga3
+ Revision: 324028
- imported package apache-parent


* Wed Nov 21 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 10-7
- Install patched pom not the original

* Fri Nov  2 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 10-6
- Add missing R: maven-remote-resources-plugin, apache-resource-bundles
- Add %%check to verify dependencies during build

* Thu Jul 26 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 10-5
- Make sure we generate 1.5 version bytecode

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 13 2011 Andy Grimm <agrimm@gmail.com> 10-2
- Follow suggestions in BZ #736069

* Mon Aug 29 2011 Andy Grimm <agrimm@gmail.com> 10-1
- Initial Build
